package com.zfire.jiasm.syncdata.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface PrepareService {

	public List<Map<String, Object>> getTaskData();

	public List<Map<String, Object>> getSourceData(String srcTabName, Date updateTime);

	public void prepareData(String procName, int taskId, Date updateTime, String workerOrderNo, int orderId, String remoteId,boolean isNeedGenRemoteId)
			throws Exception;
	
	public Long getPgid(String procName,String workerOrderNo,int id) throws Exception;
	
	public void refreshSynTime(int taskId,Date updateTime);
	
	public List<Map<String, Object>> getTaskDataNew();
	
	public Map<String, Object> getTaskInfo(String srcTabName);
	
	public void updateSuccess(long reqId);
	
	public void updateError(long reqId, String errMessage);
	
	public Map<String, Object> getTaskDataDetail(String tabName, String workerOrderNo, String id);

}
